Package org.apache.maven.scm.provider.svn.svnexe.command.export

## Class SvnExeExportCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.export.AbstractExportCommand
    - - org.apache.maven.scm.provider.svn.svnexe.command.export.SvnExeExportCommand

All Implemented Interfaces:
  `Command`, `SvnCommand`

    public class SvnExeExportCommand
    extends AbstractExportCommand
    implements SvnCommand

Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`SvnExeExportCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine​(SvnScmProviderRepository repository, java.io.File workingDirectory, ScmVersion version, java.lang.String url, java.lang.String outputSirectory)`
`protected ExportScmResult` `executeExportCommand​(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion version, java.lang.String outputDirectory)`

### Methods inherited from class org.apache.maven.scm.command.export.AbstractExportCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### SvnExeExportCommand

    public SvnExeExportCommand()

### Method Detail

#### executeExportCommand

    protected ExportScmResult executeExportCommand​(ScmProviderRepository repo,
                                                   ScmFileSet fileSet,
                                                   ScmVersion version,
                                                   java.lang.String outputDirectory)
                                            throws ScmException

Specified by:
  `executeExportCommand` in class `AbstractExportCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine​(SvnScmProviderRepository repository,
                                                                             java.io.File workingDirectory,
                                                                             ScmVersion version,
                                                                             java.lang.String url,
                                                                             java.lang.String outputSirectory)